Bug 728826 - Review Request: wadofstuff-django-serializers - Extended Django Serializer Module
Review Request: wadofstuff-django-serializers - Extended Django Serializer Mo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Nitrate
  Show dependency treegraph
 
Reported: 2011-08-07 23:22 EDT by Yuguang Wang
Modified: 2013-10-19 10:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-23 04:54:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yuguang Wang 2011-08-07 23:22:46 EDT
Spec URL: http://yuwang.fedorapeople.org/wadofstuff-django-serializers.spec

Description: The wadofstuff.django.serializers python module extends Django's built-in serializers, adding 3 new capabilities inspired by the Ruby on Rails JSON serializer. These parameters allow the developer more control over how their models are serialized. The additional capabilities are:

excludes - a list of fields to be excluded from serialization. The excludes list takes precedence over the fields argument.
extras - a list of non-model field properties or callables to be serialized.
relations - a list or dictionary of model related fields to be followed and serialized.
Comment 1 Yuguang Wang 2011-08-07 23:24:26 EDT
[yuwang@yuwang wadofstuff-django-serializers-1.1.0]$ rpmlint wadofstuff-django-serializers.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Jens Petersen 2011-08-19 02:38:49 EDT
Could you please post an srpm?

You need to include the release number in changelog entries:

wadofstuff-django-serializers.noarch: W: incoherent-version-in-changelog 1.1.0 ['1.1.0-1.fc15', '1.1.0-1']
Comment 3 Yuguang Wang 2011-08-22 03:17:18 EDT
Wow, warning not allowed.
Spec file updated: http://yuwang.fedorapeople.org/wadofstuff-django-serializers.spec

rpmlint ok:
[yuwang@yuwang wadofstuff-django-serializers-1.1.0]$ rpmlint wadofstuff-django-serializers-1.1.0-1.fc13.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
(In reply to comment #2)
> Could you please post an srpm?
> 
> You need to include the release number in changelog entries:
> 
> wadofstuff-django-serializers.noarch: W: incoherent-version-in-changelog 1.1.0
> ['1.1.0-1.fc15', '1.1.0-1']
Comment 4 Jens Petersen 2011-08-22 20:26:00 EDT
Thanks and where is the srpm?
Comment 5 Yuguang Wang 2011-08-23 00:57:59 EDT
Uploaded in fedorapeople, rpm built in fedora 13:
http://yuwang.fedorapeople.org/wadofstuff-django-serializers-1.1.0-1.fc13.src.rpm
Comment 6 Jens Petersen 2011-09-02 05:13:24 EDT
Thanks - as I mentioned also in bug 728823 please
don't repackage the source tarball.  We don't do that
in Fedora, but always ship pristine source (which
can be patched via rpm if necessary.)  Adding the .spec
is also kind of meaningless since it is already in the
src.rpm anyway and will change each time you update
the package.
Comment 7 Jens Petersen 2011-09-29 03:13:43 EDT
ping?
Comment 8 Yuguang Wang 2011-09-29 23:15:27 EDT
Package updated:
http://yuwang.fedorapeople.org/wadofstuff-django-serializers.spec
http://yuwang.fedorapeople.org/wadofstuff-django-serializers-1.1.0-1.fc13.src.rpm

rpmlint wadofstuff-django-serializers-1.1.0-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Parag AN(पराग) 2011-11-21 01:02:00 EST
Review:

+ koji scratch build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3528874

+ rpmlint on rpms gave
wadofstuff-django-serializers.noarch: W: install-file-in-docs /usr/share/doc/wadofstuff-django-serializers-1.1.0/INSTALL
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ source match with upstream as (sha1sum)
cef278159d28d235b4eb06bc4b7864b9d9a8a9ed  wadofstuff-django-serializers-1.1.0.tar.gz
cef278159d28d235b4eb06bc4b7864b9d9a8a9ed  ../SOURCES/wadofstuff-django-serializers-1.1.0.tar.gz

+ Follows packaging guidelines.


suggestions:
1) we don't recommend to add INSTALL file as its only for manually installation from tarball. so remove that from spec.

APPROVED.
Comment 10 Parag AN(पराग) 2011-12-21 05:20:09 EST
Can you request for SCM?
Comment 11 Yuguang Wang 2011-12-21 21:24:49 EST
New Package SCM Request
=======================
Package Name: wadofstuff-django-serializers
Short Description: Extended Django Serializer Module
Owners: yuwang
Branches: f15 f16 el6
InitialCC: yuwang
Comment 12 Jon Ciesla 2011-12-22 08:16:46 EST
Git done (by process-git-requests).
Comment 13 Yuguang Wang 2011-12-23 04:54:03 EST
Koji build successfully.

F16:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3602719
el6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3602733

Thanks all for your help.

Note You need to log in before you can comment on or make changes to this bug.